import { AppHarness } from "../../../mocks/AppHarness";
import { IOCDetailsContainer } from "../../../views/IOC/IOCDetailsContainer";
import { userImpersonatorArgs } from "../../utils/common-args";

export default {
  title: "Views/IOC/IOCDetailsView"
};

const Template = (args) => (
  <AppHarness
    useTestUser
    {...args}
  >
    <IOCDetailsContainer id={args.id} />
  </AppHarness>
);

const config = {
  id: 1,
  ...userImpersonatorArgs
};

export const NotDeployed = (args) => <Template {...args} />;
NotDeployed.args = {
  ...config,
  id: 18
};

export const Deployed = (args) => <Template {...args} />;
Deployed.args = {
  ...config,
  id: 39
};

export const DeployedErrors = (args) => <Template {...args} />;
DeployedErrors.args = {
  ...config,
  id: 15
};
